Page MenuHomeMiraheze

Make 'Extension:Moderation' available via the Special:ManageWikiExtensions interface.
Closed, ResolvedPublic

Description

https://www.mediawiki.org/wiki/Extension:Moderation

The Moderation extension was reviewed in August 2018 and deployed to some Wikis.
https://phabricator.miraheze.org/T1531

Please make it available via the ManageWikiExtensions interface.

Note it was briefly added and removed before, before the extension was reviewed.
https://phabricator.miraheze.org/R9:8886b6d2407887529e187be659889ae9a4e25007
https://phabricator.miraheze.org/R9:64cbed9ee6c6bfbf390f6d6f1e55482e305f82af

Event Timeline

Dysklyver triaged this task as Normal priority.Jan 23 2019, 13:20
Dysklyver created this task.
Void edited projects, added Configuration; removed Extensions.Jan 23 2019, 13:34

It was removed from MWE because of the inability to properly configure it through MWE installation at the time. I'm not sure what's missing right now, as the exact reason wasn't documented. I know it's missing permissions, but if that's all, we can move it back to MWE now.

John removed Reception123 as the assignee of this task.Jan 25 2019, 22:46
John added a subscriber: Reception123.
John added a subscriber: John.Feb 20 2019, 01:33
In T4042#77351, @Void wrote:

It was removed from MWE because of the inability to properly configure it through MWE installation at the time. I'm not sure what's missing right now, as the exact reason wasn't documented. I know it's missing permissions, but if that's all, we can move it back to MWE now.

It was permissions originally but even now with ManageWikiPermissions, whether ManageWikiInstaller existed or not would be irrelevant anyway.

Paladox added a subscriber: Paladox.Feb 25 2019, 17:30

Done in https://github.com/miraheze/mw-config/commit/34de63c94baa4fd60ab3a11ba406107559bef7b6

(restricted to managewiki-restricted for now) but we can open it up later.

Paladox closed this task as Resolved.Feb 25 2019, 17:30
Paladox claimed this task.